;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                                                ;;
;; Copyright (C) 2006  Patrik Nilsson                                             ;;
;;                                                                                ;;
;; This program is free software; you can redistribute it and/or modify           ;;
;; it under the terms of the GNU General Public License as published by           ;;
;; the Free Software Foundation; either version 2 of the License, or              ;;
;; (at your option) any later version.                                            ;;
;;                                                                                ;;
;; This program is distributed in the hope that it will be useful,                ;;
;; but WITHOUT ANY WARRANTY; without even the implied warranty of                 ;;
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                  ;;
;; GNU General Public License for more details.                                   ;;
;;                                                                                ;;
;; You should have received a copy of the GNU General Public License              ;;
;; along with this program; if not, write to the Free Software                    ;;
;; Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA ;;
;;                                                                                ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun circe-command-RAW (line)
  "Sends a raw command to the server."
  (interactive "sRaw: ")
  (if (not circe-chat-target)
      (circe-server-message "No target for current buffer")
	(circe-server-send (format "%s" line)
					   (if (string= line "")
						   " "
						 line)))
  (circe-split-line line))